Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>

Summary:      	chip card library
Name:      	libchipcard2
Version:        2.1.9
Release:   	1
License: 	GNU/GPL
URL:	  	http://www.libchipcard.de/
Group:     	System/Libraries
Source0: 	%{name}-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:  glibc-devel
BuildRequires:  gwenhywfar-devel
BuildRequires:  libstdc++-devel
BuildRequires:  libusb-devel
BuildRequires:  sysfsutils-devel


%description
Libchipcard is a library for easy access to chip cards via chip card readers (terminals).


%package        devel
Summary:        %{name} development headers.
Group:          %{group}
Requires:       %{name} = %{version}-%{release}

%description    devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
./configure --prefix=%_prefix --mandir=%_mandir --sysconfdir=%_sysconfdir
make

%install
rm -rf $RPM_BUILD_ROOT
make install-strip DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_bindir
%_sbindir
%_libdir/*.so*
%_libdir/chipcard2-server
%_libdir/gwenhywfar
%_sysconfdir

%files devel
%defattr(-,root,root)
%_includedir
%_datadir/aclocal
%_libdir/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Jan 04 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.1.9-1
- Version update
* Sat Aug 26 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.1.8-1
- Initial Release
